#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

%ifnarch %{ix86} %{x8664} arm aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	LaTeX to html translator
Summary(pl.UTF-8):	Konwerter z LaTeXa do HTML-a
Name:		hevea
# 2.24 has svg.hva file missing
Version:	2.23
Release:	1
License:	Free
Group:		Applications/Publishing/TeX
Source0:	http://para.inria.fr/~maranget/hevea/old/%{name}-%{version}.tar.gz
# Source0-md5:	38b157e78e8171dc6a47f9ea10d2bd60
Source1:	http://para.inria.fr/~maranget/hevea/distri/%{name}-2.24-manual.pdf
# Source1-md5:	82414eb9bd85b69d8ae78e58c99d12c4
URL:		http://para.inria.fr/~maranget/hevea/
BuildRequires:	ocaml >= 3.12.0
BuildRequires:	texlive-latex
BuildRequires:	texlive-dvips
Requires:	ghostscript >= 4.03
Requires:	texlive-latex >= 0.4
Requires:	texlive-dvips >= 0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		make_target		%{?with_ocaml_opt:opt}%{!?with_ocaml_opt:byte}
%define		_latexheveadir		%{_datadir}/texmf/tex/latex/%{name}

%description
HEVEA is a LaTeX to HTML translator. The input language is a fairly
complete subset of LaTeX2e (old LaTeX style is also accepted) and the
output language is HTML that is (hopefully) correct with respect to
version 4.0 (transitional).

%description -l pl.UTF-8
HEVEA to translator dokumentów LaTeXa do HTML-a. Pliki wejściowe
powinny składać się z komend LaTeX2e (stary styl LaTeXa również jest
akceptowany), a pliki wynikowe HTML są zgodne ze standardem 4.0.

%prep
%setup -q
cp -f %{SOURCE1} manual.pdf

%build
%{__make} config.sh \
	TARGET=%{make_target} \
	PREFIX=%{_prefix} \
	LIBDIR=%{_datadir}/%{name} \
	LATEXLIBDIR=%{_latexheveadir} \
	BINDIR=%{_bindir} \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} \
	TARGET=%{make_target}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_latexheveadir},%{_datadir},%{_bindir}}

%{__make} install \
	TARGET=%{make_target} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p %{_bindir}/texhash
%postun -p %{_bindir}/texhash

%files
%defattr(644,root,root,755)
%doc CHANGES README LICENSE manual.pdf
%attr(755,root,root) %{_bindir}/bibhva
%attr(755,root,root) %{_bindir}/esponja
%attr(755,root,root) %{_bindir}/hacha
%attr(755,root,root) %{_bindir}/hevea
%attr(755,root,root) %{_bindir}/imagen
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/html
%{_datadir}/%{name}/info
%{_datadir}/%{name}/mappings
%{_datadir}/%{name}/text
%{_datadir}/%{name}/*.gif
%{_datadir}/%{name}/*.hva
%{_datadir}/%{name}/*.sty
%attr(755,root,root) %{_datadir}/%{name}/imagen
%attr(755,root,root) %{_datadir}/%{name}/*.exe
%dir %{_latexheveadir}
%{_latexheveadir}/hevea.sty
%changelog
* Fri Jul 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hevea.git;a=log;h=master

* Fri Jul 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 809b88f
- fixed manual path

* Fri Jul 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 146892e
- updated to 2.23 (2.24 misses one required file)

* Thu Apr 07 2011 Jan Rękorajski <baggins@pld-linux.org> a125978
- 1.10
- texlive BRs

* Tue Oct 16 2007 Jan Rękorajski <baggins@pld-linux.org> 3db7377
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 362d621
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 93900e2
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> a3ae7a8
- orphaned, outdated

* Sun Dec 11 2005 Jan Rękorajski <baggins@pld-linux.org> 2c0fd65
- release 3
- rebuild with new ocaml

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> aed9cbc
- release 2 for Ac (1 is for Ra)

* Tue Feb 24 2004 ankry <ankry@pld-linux.org> 1c541de
- pl fixes, cosmetics

* Mon Jun 16 2003 Paweł Gołaszewski <blues@pld-linux.org> e132f56
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 8e34565
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 3395604
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Aug 05 2002 kloczek <kloczek@pld-linux.org> da69b06
- cosmetics.

* Mon Aug 05 2002 marcus <marcus@pld-linux.org> d217e2f
- changed documentation from html&ps forms to pdf

* Mon Aug 05 2002 marcus <marcus@pld-linux.org> 7e1bffd
- updated to 1.06
- use new %%doc

* Mon May 13 2002 filon <filon@sokrates.mimuw.edu.pl> 97a7144
- cleanup, fixed macro name

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 03b5c0c
- fixed a small typo

* Wed Mar 27 2002 Roman Werpachowski <roman.werpachowski@gmail.com> 2261d5a
- s/free/Free in License

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> b5086bf
- adapterized.

